Subject: [mpls-tp] some question about the associated LSP defined in RFC5654

From: [email-masked]
Date: Tue, 19 Jan 2010 10:46:06 +0800

Hi Ben, Deborah,and Malcolm
 
   I am confused about the use of Associated bidirectional LSP.
   According to the definition,  A path that supports traffic flow in
   both directions but that is constructed from a pair of unidirectional
   paths (one for each direction) that are associated with one another
   at the path's ingress/egress points. 
 
   The fist question is that the two unidirectional LSPs are in the same 
   tunnel or in different tunnel? I do not see clearly in the definition.
 
   The second question is why we need associated LSP? what is the applied 
scenario?
   Requirements 11 and 12 say that the end points (the same middle nodes) 
MUST(SHOULD)
   know the pairing relationship. Why they need to know? what is the 
purpose of knowing 
   this relationship? 

   Wish your response.
 
   B.R. 
 
   :)
 
   Fei

---

From: Huub van Helvoort <[email-masked]>
Date: Tue, 19 Jan 2010 11:34:40 +0100

Hello Fei,

>    tunnel or in different tunnel? I do not see clearly in the definition.

Because the two unidirectional paths are set up independently
they can/will follow a different path through the network.
So there is no warrantee that they are in the same tunnel.

>    The second question is why we need associated LSP? what is
 > the applied scenario?

This is the way bidirectional paths are set up in existing MPLS
networks.

In a transport network both traffic flows in a bidrectional
follow the same path through the network (they are co-routed).
Some reasons for this: they have the same latency, they share fate...

>    Requirements 11 and 12 say that the end points (the same
 > middle nodes) MUST(SHOULD) know the pairing relationship.
 > Why they need to know? what is the purpose of knowing this
 > relationship?

The association is useful for protection switching, for OAM
that requires a reply (from MIP or MEP), for defect correlation.

Regards, Huub.

-- 
================================================================
Always remember that you are unique...just like everyone else...

---

From: [email-masked]
Date: Tue, 19 Jan 2010 19:30:44 +0800

Hello Huub

Thank you for your detailed reply, and I can not believe that I can 
receive your response so quickly 

:)

Now MPLS-TP can support L2VPN/L3VPN according to the framework, so the 
outer LSPs in the public

network need to share the same behavior, like SLA and protection, and need 
to be associated together.
May be this is another requirement that is suitable to the associated LSP.

B.R.

Fei

Huub van Helvoort <[email-masked]> 
2010-01-19 18:34
请答复 给
[email-masked]

收件人
[email-masked]
抄送
[email-masked]
主题
Re: [mpls-tp] some question about the associated LSP defined in RFC5654

Hello Fei,

Regards, Huub.

---

From: <[email-masked]>
Date: Tue, 19 Jan 2010 18:03:54 +0000

Huub,

You took the words out of my mouth (and saved me some typing).

Thanks
Ben